#include "header.h"

// Set up Timer1 in CTC mode to trigger every 20ms
// With 16MHz clock and prescaler of 8, and OCR1A = 39999:
// 16MHz/8/40000 = 50Hz = 20ms period
#define T1B_PRESCALE_VALUE					64
void timer_1B_init() {
	TCCR1A = 0;											// 16.11.1 : Normal operation, OC1A/OC1B disconnected
	TCCR1B = (1 << WGM12);								// 16.11.2 : CTC mode
	TCCR1B |= T1_PRESCALE_SET(T1B_PRESCALE_VALUE);		// 16.11.2 : prescaler = 8
	OCR1A = TIME_MS(20, T1B_PRESCALE_VALUE);			// 16.11.5 : Compare match value for register A
	OCR1B = TIME_MS(20, T1B_PRESCALE_VALUE) - 1000;		// 16.11.6 : Compare match value for register B

	// TIMSK1 = (1 << OCIE1B);								// Enable Timer1 Compare B Match Interrupt

	// ADCSRA |= (1 << ADSC);							// 24.9.2 : start first conversion
}